curl --request GET \
--url https://api.speedvitals.com/v1/lighthouse-tests \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.speedvitals.com/v1/lighthouse-tests"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.speedvitals.com/v1/lighthouse-tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "lt_LthsZedDcOUfYFHxN",
"url": "https://speedvitals.com",
"device": "macbookAirM1",
"location": "us",
"config": {
"http_version": "2",
"video": true,
"adblock": true
},
"status": "idle",
"lighthouse_version": "9.6.2",
"metrics": {
"cumulative_layout_shift": 0,
"first_contentful_paint": 515,
"first_meaningful_paint": 566,
"time_to_interactive": 725,
"largest_contentful_paint": 515,
"server_response_time": 21,
"speed_index": 1123,
"total_blocking_time": 69,
"performance_score": 99
},
"report_url": "https://speedvitals.com/report/speedvitals.com/Q6qWx6/",
"created_at": 1657537268453,
"expires_at": 1660129268453,
"error": null
}
]
}{
"code": "<string>",
"message": "<string>"
}List all lighthouse reports
Returns a list of your lighthouse tests. The tests are returned sorted by creation date, with the most recently created test appearing first.
Authorizations
Query Parameters
The page number to return. The default page number is 1.
A size of the number of objects to be returned. Page size can range between 1 and 100, and the default is 10.
Filter tests where the created_at field is greater than this value
Filter tests where the created_at field is greater than this value.
Filter tests where the created_at field is less than this value.
Filter tests where the created_at field is less than or equal to this value.
Response
Successful response.
A object with a data property that contains an array of your lighthouse tests, sorted by creation date. Each entry in the array is a separate lighthouse test object. If no more tests are available, the resulting array will be empty. This request should never throw an error.
Show child attributes
Show child attributes